> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get plugin subscriptions

> Returns plugin subscriptions for the account.



## OpenAPI

````yaml /openapi.json get /plugins/{pluginId}/subscriptions
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /plugins/{pluginId}/subscriptions:
    get:
      tags:
        - Plugins
      summary: Get plugin subscriptions
      description: Returns plugin subscriptions for the account.
      operationId: GetPluginSubscriptions
      parameters:
        - name: pluginId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: Offset
          in: query
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: Limit
          in: query
          schema:
            maximum: 500
            minimum: 1
            type: integer
            format: int32
      responses:
        '200':
          description: >-
            When request is successful. Returns a paged collection of
            'PluginSubscription' objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PluginSubscriptionPagedCollection'
        '400':
          description: When an unsupported request is made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: >-
            When the authenticated account does not have access to plugin
            subscriptions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: When required resources are not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    PluginSubscriptionPagedCollection:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        value:
          type: array
          items:
            $ref: '#/components/schemas/PluginSubscription'
          nullable: true
        offset:
          type: integer
          format: int32
          nullable: true
        limit:
          type: integer
          format: int32
          nullable: true
        size:
          type: integer
          format: int64
        first:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        previous:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        next:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        last:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    PluginSubscription:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique identifier of the subscription.
          nullable: true
          example: b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2
        pluginId:
          type: string
          description: Unique identifier of the plugin.
          nullable: true
          example: b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2
        pluginVersionId:
          type: string
          description: Unique identifier of the plugin version. Can be null.
          nullable: true
          example: b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2
        createdDate:
          type: string
          description: Plugin subscription created date in UTC.
          format: date-time
          example: '2020-02-15T00:00:00Z'
        lastUpdatedDate:
          type: string
          description: Plugin subscription last updated date in UTC.
          format: date-time
          example: '2020-02-15T00:00:00Z'
        isDisabled:
          type: boolean
          description: >-
            True when the subscription is disabled (the plugin will not function
            for the user).
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````